Skip to content

Client Details

Retrieve detailed information about a specific client.

Endpoint

INFO

GET /api/v1/dashboard/clients/{client}

Headers

HeaderValueRequired
Acceptapplication/jsonYes
AuthorizationBearer {token}Yes

Path Parameters

ParameterTypeDescription
clientintegerClient ID

Example Request

bash
curl -X GET https://api.daakey.com/api/v1/dashboard/clients/1 \
  -H "Accept: application/json" \
  -H "Authorization: Bearer {token}"

Response

Success (200)

json
{
  "success": true,
  "message": "Client retrieved",
  "data": {
    "id": 1,
    "name": "John Doe",
    "email": "john@example.com",
    "phone": "+1234567890",
    "avatar_url": "https://api.daakey.com/storage/avatars/1.jpg",
    "status": "active",
    "verified": {
      "email": true,
      "email_verified_at": "2024-01-01T12:00:00Z",
      "phone": true,
      "phone_verified_at": "2024-01-01T12:30:00Z",
      "documents": true
    },
    "documents": [
      {
        "type": "driver_license_front",
        "status": "verified",
        "expires_at": "2025-12-31"
      },
      {
        "type": "driver_license_back",
        "status": "verified",
        "expires_at": "2025-12-31"
      }
    ],
    "payment_methods": [
      {
        "id": 1,
        "brand": "visa",
        "last_four": "4242",
        "is_default": true
      }
    ],
    "stats": {
      "total_bookings": 15,
      "completed_bookings": 14,
      "cancelled_bookings": 1,
      "active_bookings": 0,
      "total_spent": 1250.00,
      "average_booking_value": 83.33
    },
    "recent_bookings": [
      {
        "id": 50,
        "reference": "BK-2024-00050",
        "vehicle": "Toyota Corolla (ABC-123)",
        "status": "completed",
        "date": "2024-01-10"
      }
    ],
    "notes": "VIP customer, prefers sedan vehicles",
    "created_at": "2024-01-01T00:00:00Z",
    "updated_at": "2024-01-15T00:00:00Z"
  },
  "request_id": "uuid",
  "timestamp": "2024-01-01T00:00:00.000Z"
}

Daakey Car Sharing Platform